'----------------------------------------------------------------------------------------
'    Name:  BTR_CAN_BUS_LIB_DEFS.INC
'    Type:  TIGER-BASIC(tm) Source Code
' Release:  V1.00
'
' Purpose:  defines for BTR Logline CAN-Bus library
'
'  (C) - Copyright Wilke Technology, P.O.Box 1727, D-52018 Aachen, Germany
'----------------------------------------------------------------------------------------
'
' Thank you for using BASIC-Tiger(tm) in your products. If you have questions, ideas
' or special needs, please contact your next distributor or the Tiger support team
' and visit our web site:
'
'	Wilke Technology GmbH
'	The Tiger Support Team
'	P.O.Box 1727,       D-52018 Aachen, Germany
'	Krefelder Str. 147, D-52070 Aachen, Germany
'
'	email: support@wilke-technology.com  (English)
'	email: support@wilke.de              (German)
'	Phone: +49 (241) 918 900    Mo to Fr, 7:00 to 16:00 (GMT)
'	Fax:   +49 (241) 918 9068
'
' New information, new drivers and free downloads see:
'
'	www.wilke-technology.com	     (English)
'	www.wilke.de                         (German)
'
' Sincerely,
'
'	Your Tiger Support Team
'
'
'----------------------------------------------------------------------------------------
#ifndef	__BTR_CAN_BUS_LIB_DEFS_INC
#define __BTR_CAN_BUS_LIB_DEFS_INC

#define MAX_NUM_MODULE_ADRESSES       100
#define HIGHEST_MODULE_ADDRESS	       99
#define MAX_MOD_TYPE			5  	

'' modules
#define NOT_A_MODULE_TYPE               0
#define NOT_A_MODULE_ADDRESS          100
#define FDE4				1     '	digital input module
#define DIGITAL_IN		     FDE4
#define FAE4				2     ' analogue input module (4inputs)
#define ANALOGUE_IN                  FAE4
#define FRAS4_21			3     ' digital output module
#define DIGITAL_OUT              FRAS4_21
#define FAA4                            4     ' analogue output module
#define ANALOGUE_OUT                 FAA4
#define FDE10				5     ' digital input module (10inputs)
#define DIGITAL_IN_10		    FDE10		

'' values
#define LCL_RTR_YES                     1     '
#define LCL_RTR_NO			0     '
#define LCL_DIGITAL			0     '
#define LCL_ANALOGUE			1     '
#define LCL_TEMPERATURE_50_150		0     '
#define LCL_TEMPERATURE_0_400	        1     '
#define LCL_VOLTAGE			2     '
#define MAX_10BIT_VALUE              1023     '

'' lengths
#define LCL_LEN_STANDARD_FRAME         11     '
#define LCL_MAXLEN_STANDARD_FRAME_MSG   8     '
#define LCL_MAX_LEN_DATA		8     '

'' order types
#define LCL_OT_PROCESS_DATA             0     '
#define LCL_OT_SERVICE_DATA             1     '
#define LCL_OT_CONTROL_DATA		2     '

'' error codes
#define LCL_OK				0     '
#define LCL_INVALID_DATA_LENGTH       100     '
#define LCL_INVALID_RTR_BIT           101     '
#define LCL_INVALID_MODULE_TYPE	      102     '
#define LCL_WRONG_MODULE_TYPE         103     '
#define LCL_INVALID_MODULE_ADDR       104     '
#define LCL_INVALID_ORDER_TYPE        105     '
#define LCL_INVALID_DATA_BIT	      106     '
#define LCL_INVALID_ANALOGUE_VALUE    107     '
#define LCL_MODULE_ADDRESS_USED	      108     '
#define LCL_INVALID_VALUE_TYPE        109     '
#define LCL_VALUE_OUT_OF_RANGE	      110     '	
	
#endif

